Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class AllStatistics

    java.lang.Object
      org.mule.management.stats.AllStatistics

    public class AllStatistics

extends Object

`AllStatistics` TODO

Constructor Summary
`AllStatistics()`

Method Summary
`void` | `add(FlowConstructStatistics stat)`
`void` | `clear()`
`Collection<FlowConstructStatistics>` | `getComponentStatistics()` Deprecated. use #getServiceStatistics
`Collection<FlowConstructStatistics>` | `getServiceStatistics()`
`long` | `getStartTime()`
`boolean` | `isEnabled()` Are statistics logged
`void` | `logSummary()`
`void` | `logSummary(PrintWriter printer)`
`void` | `remove(FlowConstructStatistics stat)`
`void` | `setEnabled(boolean b)` Enable statistics logs (this is a dynamic parameter)
`void` | `setStartTime(long startTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllStatistics

    public AllStatistics()

Method Detail

### logSummary

    public void logSummary()

### logSummary

    public void logSummary(PrintWriter printer)

### clear

    public void clear()

### isEnabled

    public boolean isEnabled()

  Are statistics logged

### setEnabled

    public void setEnabled(boolean b)

  Enable statistics logs (this is a dynamic parameter)

### getStartTime

    public long getStartTime()

### setStartTime

    public void setStartTime(long startTime)

### add

    public void add(FlowConstructStatistics stat)

### remove

    public void remove(FlowConstructStatistics stat)

### getComponentStatistics

    @Deprecated
    public Collection<FlowConstructStatistics> getComponentStatistics()

  Deprecated. use #getServiceStatistics

### getServiceStatistics

    public Collection<FlowConstructStatistics> getServiceStatistics()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.